Non Polar Magnetism

    @nimiq/ledger-api
    TypeScript icon, indicating that this package has built-in type declarations

    2.2.0 • Public • Published

    Nimiq Ledger Api

    Api for communication with the Ledger Hardware Wallet Nimiq App. Check out the demo.

    Installation

    yarn add @nimiq/ledger-api

    Usage

    This package provides two different apis:

    • A low level api with a similar basic api as the apis for other coins in Ledger's @ledgerhq/hw-app-* packages.
    • A high level api which builds on top of the low level api but provides an improved api, optimizations for specific transport types and better usability. This is the api you'll typically want to use.

    The apis are documented as jsdoc comments in low-level-api.ts and ledger-api.ts.

    For a comparison of the available transport libraries, see transport-comparison.md.

    Development and building the library

    To run the demo page use:

    yarn serve

    Note that this serves the demo via https which is required for communicating with the Ledger.

    To build the library:

    yarn build

    Install

    npm i @nimiq/ledger-api

    DownloadsWeekly Downloads

    3

    Version

    2.2.0

    License

    MIT

    Unpacked Size

    13.1 MB

    Total Files

    241

    Last publish

    Collaborators

    • sisou
    • maxharz
    • styppo
    • mnimiq
    • cb5890
    • jeffesquivels
    • nimiq-network
    • danimoh